# Clang 15 documentation

## Index

Symbols | B | C | E | L | N | R

## Symbols

- -###
  - command line option
- --help
  - command line option
- --print-enabled-extensions
  - command line option
- --print-supported-cpus
  - command line option
- --print-supported-extensions
  - command line option
- --warning-suppression-mappings
  - command line option
- -ansi
  - command line option
- -c
  - command line option
- -cl-ext
  - command line option
- -cl-no-stdinc
  - command line option
- -D<macroname>
  - command line option
- -E
  - command line option
- -emit-llvm
  - command line option
- -F<directory>
  - command line option
- -f[no-]approx-func
  - command line option
- -f[no-]associative-math
  - command line option
- -f[no-]caret-diagnostics
  - command line option
- -f[no-]color-diagnostics
  - command line option
- -f[no-]diagnostics-fixit-info
  - command line option
- -f[no-]diagnostics-show-hotness
  - command line option
- -f[no-]diagnostics-show-option
  - command line option
- -f[no-]finite-math-only
  - command line option
- -f[no-]honor-infinities
  - command line option
- -f[no-]honor-nans
  - command line option
- -f[no-]math-errno
  - command line option
- -f[no-]max-type-align
  - command line option
- -f[no-]protect-parens
  - command line option
- -f[no-]reciprocal-math
  - command line option
- -f[no-]rounding-math
  - command line option
- -f[no-]sanitize
  - command line option
- -f[no-]sanitize-address-outline-instrumentation
  - command line option
- -f[no-]sanitize-coverage
  - command line option
- -f[no-]sanitize-recover
  - command line option, [1]
- -f[no-]sanitize-stats
  - command line option
- -f[no-]sanitize-trap
  - command line option, [1]
- -f[no-]save-optimization-record
  - command line option
- -f[no-]show-column
  - command line option
- -f[no-]show-source-location
  - command line option
- -f[no-]signed-zeros
  - command line option
- -f[no-]strict-float-cast-overflow
  - command line option
- -f[no-]trapping-math
  - command line option
- -f[no-]unsafe-math-optimizations
  - command line option
- -f[no]-basic-block-address-map:
  - command line option
- -f[no]-unique-internal-linkage-names
  - command line option
- -f[no]split-lto-unit
  - command line option
- -faddrsig
  - command line option
- -fansi-escape-codes
  - command line option
- -fassume-nothrow-exception-dtor
  - command line option
- -fbasic-block-sections
  - command line option
- -fblocks
  - command line option
- -fborland-extensions
  - command line option
- -fbracket-depth
  - command line option
- -fcaret-diagnostics
  - command line option
- -fcaret-diagnostics-max-lines:
  - command line option
- -fcodegen-data-generate
  - command line option
- -fcodegen-data-use
  - command line option
- -fcomment-block-commands
  - command line option
- -fcommon
  - command line option
- -fcomplex-arithmetic
  - command line option
- -fconstexpr-depth
  - command line option
- -fconstexpr-steps
  - command line option
- -fcrash-diagnostics
  - command line option
- -fcrash-diagnostics-dir
  - command line option
- -fcs-profile-generate
  - command line option
- -fcx-fortran-rules:
  - command line option
- -fcx-limited-range:
  - command line option
- -fdebug-macro
  - command line option
- -fdeclare-opencl-builtins
  - command line option
- -fdenormal-fp-math
  - command line option
- -fdiagnostic-misexpect-tolerance
  - command line option
- -fdiagnostics-fixit-info
  - command line option
- -fdiagnostics-format
  - command line option
- -fdiagnostics-hotness-threshold
  - command line option
- -fdiagnostics-parseable-fixits
  - command line option, [1]
- -fdiagnostics-print-source-range-info
  - command line option, [1]
- -fdiagnostics-show-category
  - command line option
- -fdiagnostics-show-line-numbers:
  - command line option
- -fdiagnostics-show-option
  - command line option
- -fdiagnostics-show-template-tree
  - command line option
- -fdisable-block-signature-string
  - command line option
- -fdiscard-value-names
  - command line option
- -feliminate-unused-debug-types
  - command line option, [1]
- -femit-dwarf-unwind
  - command line option
- -femulated-tls
  - command line option
- -ferror-limit
  - command line option
- -fexceptions
  - command line option
- -fexcess-precision:
  - command line option
- -ffake-address-space-map
  - command line option
- -ffast-math
  - command line option
- -fforce-emit-vtables
  - command line option
- -ffp-contract
  - command line option
- -ffp-eval-method
  - command line option
- -ffp-exception-behavior
  - command line option
- -ffp-model
  - command line option
- -ffreestanding
  - command line option
- -fgnuc-version
  - command line option
- -finclude-default-header
  - command line option
- -fkeep-system-includes
  - command line option
- -flax-vector-conversions
  - command line option, [1]
- -flto
  - command line option, [1], [2]
- -fmath-errno
  - command line option
- -fmessage-length
  - command line option
- -fms-extensions
  - command line option
- -fmsc-version
  - command line option
- -fno-addrsig
  - command line option
- -fno-assume-sane-operator-new
  - command line option
- -fno-builtin
  - command line option
- -fno-builtin-<function>
  - command line option
- -fno-builtin-std-<function>
  - command line option
- -fno-common
  - command line option
- -fno-crash-diagnostics
  - command line option
- -fno-debug-macro
  - command line option
- -fno-discard-value-names
  - command line option
- -fno-elide-type
  - command line option
- -fno-fast-math
  - command line option
- -fno-lax-vector-conversions
  - command line option
- -fno-objc-nonfragile-abi
  - command line option
- -fno-sanitize-ignorelist
  - command line option
- -fno-standalone-debug
  - command line option
- -fobjc-abi-version
  - command line option

- -fobjc-nonfragile-abi
  - command line option
- -fobjc-nonfragile-abi-version
  - command line option
- -fopenmp-use-tls
  - command line option
- -foperator-arrow-depth
  - command line option
- -foptimization-record-file
  - command line option
- -foptimization-record-passes
  - command line option
- -fparse-all-comments
  - command line option
- -fpascal-strings
  - command line option
- -fprint-source-range-info
  - command line option
- -fproc-stat-report
  - command line option
- -fprofile-exclude-files
  - command line option
- -fprofile-filter-files
  - command line option
- -fprofile-function-groups
  - command line option
- -fprofile-generate
  - command line option
- -fprofile-list
  - command line option
- -fprofile-remapping-file
  - command line option
- -fprofile-selected-function-group
  - command line option
- -fprofile-update
  - command line option
- -fprofile-use
  - command line option
- -fsanitize-cfi-cross-dso
  - command line option
- -fsanitize-cfi-icall-experimental-normalize-integers
  - command line option
- -fsanitize-cfi-icall-generalize-pointers
  - command line option
- -fsanitize-ignorelist
  - command line option
- -fsanitize-undefined-trap-on-error
  - command line option
- -fshow-column
  - command line option
- -fshow-source-location
  - command line option
- -fstandalone-debug
  - command line option, [1]
- -fstrict-vtable-pointers
  - command line option
- -fsyntax-only
  - command line option
- -ftemplate-backtrace-limit
  - command line option
- -ftemplate-depth
  - command line option
- -ftemporal-profile
  - command line option
- -ftime-report
  - command line option
- -ftls-model
  - command line option, [1]
- -ftrap-function
  - command line option
- -ftrapv
  - command line option
- -fvisibility
  - command line option
- -fwhole-program-vtables
  - command line option
- -fwritable-strings
  - command line option
- -g
  - command line option, [1]
- -g0
  - command line option
- -gdbx
  - command line option
- -gen-reproducer
  - command line option
- -ggdb
  - command line option
- -gline-tables-only
  - command line option, [1]
- -glldb
  - command line option
- -gmodules
  - command line option
- -gsce
  - command line option
- -I<directory>
  - command line option
- -include
  - command line option
- -integrated-as
  - command line option
- -m[no-]crc
  - command line option
- -march
  - command line option
- -mcompact-branches
  - command line option
- -mcpu
  - command line option, [1]
- -mgeneral-regs-only
  - command line option
- -mhwdiv
  - command line option
- -mno-tocdata
  - command line option, [1]
- -mtocdata
  - command line option, [1]
- -mtune
  - command line option, [1]
- -MV
  - command line option
- -no-integrated-as
  - command line option
- -nobuiltininc
  - command line option
- -nostdinc
  - command line option
- -nostdinc++
  - command line option
- -nostdlibinc
  - command line option
- -O
  - command line option
- -o
  - command line option
- -O0
  - command line option
- -O1
  - command line option
- -O2
  - command line option
- -O3
  - command line option
- -O4
  - command line option
- -ObjC
  - command line option
- -ObjC++
  - command line option
- -Ofast
  - command line option
- -Og
  - command line option
- -Os
  - command line option
- -Oz
  - command line option
- -pedantic
  - command line option
- -pedantic-errors
  - command line option
- -print-file-name
  - command line option
- -print-libgcc-file-name
  - command line option
- -print-prog-name
  - command line option
- -print-search-dirs
  - command line option
- -Qunused-arguments
  - command line option
- -Rpass
  - command line option
- -rtlib
  - command line option
- -S
  - command line option
- -save-stats
  - command line option, [1], [2]
- -save-temps
  - command line option
- -std
  - command line option
- -stdlib
  - command line option
- -target
  - command line option
- -time
  - command line option
- -trigraphs
  - command line option
- -U<macroname>
  - command line option
- -v
  - command line option
- -w
  - command line option
- -Wa,<args>
  - command line option
- -Wambiguous-member-template
  - command line option
- -Wbind-to-temporary-copy
  - command line option
- -Wdocumentation
  - command line option
- -Werror
  - command line option
- -Weverything
  - command line option
- -Wextra-tokens
  - command line option
- -Wfoo
  - command line option
- -Wl,<args>
  - command line option
- -Wmisexpect
  - command line option
- -Wno-documentation-unknown-command
  - command line option
- -Wno-error
  - command line option
- -Wno-foo
  - command line option
- -Wp,<args>
  - command line option
- -Wsystem-headers
  - command line option
- -x
  - command line option
- -Xanalyzer
  - command line option
- -Xassembler
  - command line option
- -Xlinker
  - command line option
- -Xpreprocessor
  - command line option

## B

- basic
  - command line option

## C

- command line option
  - -###
  - --help
  - --print-enabled-extensions
  - --print-supported-cpus
  - --print-supported-extensions
  - --warning-suppression-mappings
  - -ansi
  - -c
  - -cl-ext
  - -cl-no-stdinc
  - -D<macroname>
  - -E
  - -emit-llvm
  - -F<directory>
  - -f[no-]approx-func
  - -f[no-]associative-math
  - -f[no-]caret-diagnostics
  - -f[no-]color-diagnostics
  - -f[no-]diagnostics-fixit-info
  - -f[no-]diagnostics-show-hotness
  - -f[no-]diagnostics-show-option
  - -f[no-]finite-math-only
  - -f[no-]honor-infinities
  - -f[no-]honor-nans
  - -f[no-]math-errno
  - -f[no-]max-type-align
  - -f[no-]protect-parens
  - -f[no-]reciprocal-math
  - -f[no-]rounding-math
  - -f[no-]sanitize
  - -f[no-]sanitize-address-outline-instrumentation
  - -f[no-]sanitize-coverage
  - -f[no-]sanitize-recover, [1]
  - -f[no-]sanitize-stats
  - -f[no-]sanitize-trap, [1]
  - -f[no-]save-optimization-record
  - -f[no-]show-column
  - -f[no-]show-source-location
  - -f[no-]signed-zeros
  - -f[no-]strict-float-cast-overflow
  - -f[no-]trapping-math
  - -f[no-]unsafe-math-optimizations
  - -f[no]-basic-block-address-map:
  - -f[no]-unique-internal-linkage-names
  - -f[no]split-lto-unit
  - -faddrsig
  - -fansi-escape-codes
  - -fassume-nothrow-exception-dtor
  - -fbasic-block-sections
  - -fblocks
  - -fborland-extensions
  - -fbracket-depth
  - -fcaret-diagnostics
  - -fcaret-diagnostics-max-lines:
  - -fcodegen-data-generate
  - -fcodegen-data-use
  - -fcomment-block-commands
  - -fcommon
  - -fcomplex-arithmetic
  - -fconstexpr-depth
  - -fconstexpr-steps
  - -fcrash-diagnostics
  - -fcrash-diagnostics-dir
  - -fcs-profile-generate
  - -fcx-fortran-rules:
  - -fcx-limited-range:
  - -fdebug-macro
  - -fdeclare-opencl-builtins
  - -fdenormal-fp-math
  - -fdiagnostic-misexpect-tolerance
  - -fdiagnostics-fixit-info
  - -fdiagnostics-format
  - -fdiagnostics-hotness-threshold
  - -fdiagnostics-parseable-fixits, [1]
  - -fdiagnostics-print-source-range-info, [1]
  - -fdiagnostics-show-category
  - -fdiagnostics-show-line-numbers:
  - -fdiagnostics-show-option
  - -fdiagnostics-show-template-tree
  - -fdisable-block-signature-string
  - -fdiscard-value-names
  - -feliminate-unused-debug-types, [1]
  - -femit-dwarf-unwind
  - -femulated-tls
  - -ferror-limit
  - -fexceptions
  - -fexcess-precision:
  - -ffake-address-space-map
  - -ffast-math
  - -fforce-emit-vtables
  - -ffp-contract
  - -ffp-eval-method
  - -ffp-exception-behavior
  - -ffp-model
  - -ffreestanding
  - -fgnuc-version
  - -finclude-default-header
  - -fkeep-system-includes
  - -flax-vector-conversions, [1]
  - -flto, [1], [2]
  - -fmath-errno
  - -fmessage-length
  - -fms-extensions
  - -fmsc-version
  - -fno-addrsig
  - -fno-assume-sane-operator-new
  - -fno-builtin
  - -fno-builtin-<function>
  - -fno-builtin-std-<function>
  - -fno-common
  - -fno-crash-diagnostics
  - -fno-debug-macro
  - -fno-discard-value-names
  - -fno-elide-type
  - -fno-fast-math
  - -fno-lax-vector-conversions
  - -fno-objc-nonfragile-abi
  - -fno-sanitize-ignorelist
  - -fno-standalone-debug
  - -fobjc-abi-version
  - -fobjc-nonfragile-abi
  - -fobjc-nonfragile-abi-version
  - -fopenmp-use-tls
  - -foperator-arrow-depth
  - -foptimization-record-file
  - -foptimization-record-passes
  - -fparse-all-comments
  - -fpascal-strings
  - -fprint-source-range-info
  - -fproc-stat-report
  - -fprofile-exclude-files
  - -fprofile-filter-files
  - -fprofile-function-groups
  - -fprofile-generate
  - -fprofile-list
  - -fprofile-remapping-file
  - -fprofile-selected-function-group
  - -fprofile-update
  - -fprofile-use
  - -fsanitize-cfi-cross-dso
  - -fsanitize-cfi-icall-experimental-normalize-integers
  - -fsanitize-cfi-icall-generalize-pointers
  - -fsanitize-ignorelist
  - -fsanitize-undefined-trap-on-error
  - -fshow-column
  - -fshow-source-location
  - -fstandalone-debug, [1]
  - -fstrict-vtable-pointers
  - -fsyntax-only
  - -ftemplate-backtrace-limit
  - -ftemplate-depth
  - -ftemporal-profile
  - -ftime-report
  - -ftls-model, [1]
  - -ftrap-function
  - -ftrapv
  - -fvisibility
  - -fwhole-program-vtables
  - -fwritable-strings
  - -g, [1]
  - -g0
  - -gdbx
  - -gen-reproducer
  - -ggdb
  - -gline-tables-only, [1]
  - -glldb
  - -gmodules
  - -gsce
  - -I<directory>
  - -include
  - -integrated-as
  - -m[no-]crc
  - -march
  - -mcompact-branches
  - -mcpu, [1]
  - -mgeneral-regs-only
  - -mhwdiv
  - -mno-tocdata, [1]
  - -mtocdata, [1]
  - -mtune, [1]
  - -MV
  - -no-integrated-as
  - -nobuiltininc
  - -nostdinc
  - -nostdinc++
  - -nostdlibinc
  - -O
  - -o
  - -O0
  - -O1
  - -O2
  - -O3
  - -O4
  - -ObjC
  - -ObjC++
  - -Ofast
  - -Og
  - -Os
  - -Oz
  - -pedantic
  - -pedantic-errors
  - -print-file-name
  - -print-libgcc-file-name
  - -print-prog-name
  - -print-search-dirs
  - -Qunused-arguments
  - -Rpass
  - -rtlib
  - -S
  - -save-stats, [1], [2]
  - -save-temps
  - -std
  - -stdlib
  - -target
  - -time
  - -trigraphs
  - -U<macroname>
  - -v
  - -w
  - -Wa,<args>
  - -Wambiguous-member-template
  - -Wbind-to-temporary-copy
  - -Wdocumentation
  - -Werror
  - -Weverything
  - -Wextra-tokens
  - -Wfoo
  - -Wl,<args>
  - -Wmisexpect
  - -Wno-documentation-unknown-command
  - -Wno-error
  - -Wno-foo
  - -Wp,<args>
  - -Wsystem-headers
  - -x
  - -Xanalyzer
  - -Xassembler
  - -Xlinker
  - -Xpreprocessor
  - basic
  - Emits
  - list
  - no
  - none]
  - relative

- CPATH

## E

- Emits
  - command line option
- environment variable
  - C_INCLUDE_PATH, OBJC_INCLUDE_PATH, CPLUS_INCLUDE_PATH, OBJCPLUS_INCLUDE_PATH
  - CLANG_CRASH_DIAGNOSTICS_DIR=<dir>
  - CPATH, [1]
  - TMPDIR, TEMP, TMP

## L

- list
  - command line option

## N

- no
  - command line option

- none]
  - command line option

## R

- relative
  - command line option